'use strict';

var bitmapimage = require('./bitmapimage.js');
require('./gif.js');
var gifcodec = require('./gifcodec.js');
require('./gifframe.js');
var gifutil = require('./gifutil.js');
var gif = require('../../../_virtual/gif.js');
var gifframe = require('../../../_virtual/gifframe.js');

const BitmapImage = bitmapimage.bitmapimage;
const { Gif, GifError } = gif.__exports;
const { GifCodec } = gifcodec.__require();
const { GifFrame } = gifframe.__exports;
const GifUtil = gifutil.__require();

var src = {
    BitmapImage,
    Gif,
    GifCodec,
    GifFrame,
    GifUtil,
    GifError
};

exports.src = src;
